utf-8-用pip下载gensim出现exception 求大佬们辅导!!!

用六拾伍位windows10的CMD命令安装pip install scrapy出错:

用pip下载gensim出现exception 求大佬们教导!!! 5C
Collecting gensim
Using cached gensim-3.1.0.tar.gz
Exception:
Traceback (most recent call last):
File "c:program filespython37libsite-packagespipcompat__init__.py", line 73, in console_to_str
return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

  Running setup.py bdist_wheel for Twisted ... error

During handling of the above exception, another exception occurred:

  Failed building wheel for Twisted

Traceback (most recent call last):
File "c:program filespython37libsite-packagespipbasecommand.py", line 215, in main
status = self.run(options, args)
File "c:program filespython37libsite-packagespipcommandsinstall.py", line 324, in run
requirement_set.prepare_files
File "c:program filespython37libsite-packagespipreqreq_set.py", line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "c:program filespython37libsite-packagespipreqreq_set.py", line 634, in prepare_file
abstract_dist.prep_for_dist()
File "c:program filespython37libsite-packagespipreqreq_set.py", line 129, in prep_for_dist
self.req_to_install.run_egg_info()
File "c:program filespython37libsite-packagespipreqreq_install.py", line 439, in run_egg_info
command_desc='python setup.py egg_info')
File "c:program filespython37libsite-packagespiputils
_init__.py", line 676, in call_subprocess
line = console_to_str(proc.stdout.readline
File "c:program filespython37libsite-packagespipcompat__init__.py", line 75, in console_to_str
return s.decode
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb9 in position 14: invalid start byte

  Running setup.py clean for Twisted

有未有大佬告诉一下是何地出了难题???

Failed to build Twisted

Installing collected packages: pycparser, cffi, asn1crypto, cryptography, pyOpenSSL, Twisted, pyasn1, pyasn1-modules, service-identity, queuelib, scrapy

  Running setup.py install for Twisted ... error

Exception:

Traceback (most recent call last):

  File "e:pythonenvspy2scripylibsite-packagespipcompat__init__.py", line 73, in console_to_str

    return s.decode(sys.__stdout__.encoding)

UnicodeDecodeError: 'utf-8' codec can't decode byte 0xb6 in position 30: invalid start byte

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

  File "e:pythonenvspy2scripylibsite-packagespipbasecommand.py", line 215, in main

本文由2020欧洲杯官方投注-2020欧洲杯官方投注网址发布于win7,转载请注明出处:utf-8-用pip下载gensim出现exception 求大佬们辅导!!!

相关阅读